PipeWire 1.0.5

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
log.h File Reference
SPA » Debug

`spa/debug/log.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_debug_log_ctx

## Macros
#define | SPA_LOGF_DEBUG_INIT(_l, _lev, _t, _file, _line, _func)
#define | SPA_LOGT_DEBUG_INIT(_l, _lev, _t) SPA_LOGF_DEBUG_INIT(_l,_lev,_t,__FILE__,__LINE__,__func__)
#define | SPA_LOG_DEBUG_INIT(l, lev) SPA_LOGT_DEBUG_INIT(l,lev,SPA_LOG_TOPIC_DEFAULT)
#define | spa_debug_log_pod(l, lev, indent, info, pod)
#define | spa_debug_log_format(l, lev, indent, info, format)
#define | spa_debug_log_mem(l, lev, indent, data, len)
#define | spa_debug_log_dict(l, lev, indent, dict)

## Functions
static void | spa_debug_log_log (struct spa_debug_context *ctx, const char *fmt,...)

## Detailed Description

`spa/debug/log.h`